<div class="main-content">
  <div class="container-fluid">
      <div class="row">
          <div class="col-md-12">
              <div class="card">
                <div class="table-responsive">
                    <p-table [value]="subscriptionList"
                            class="table table-sm table-striped tableList listRole" id="tableList">
                            <ng-template pTemplate="header">
                                    <tr>
                                            <th>Coupon Name</th>
                                            <th> Discount</th>
                                            <th> Status</th>
                                            <th>Action</th>
                                    </tr>
                            </ng-template>
                            <ng-template pTemplate="body" let-subscription>
                                    <tr *ngIf="subscription ">
                                            <td>{{subscription.email }}</td>
                                            <td>{{subscription.username}}
                                            </td>

                                    </tr>
                            </ng-template>
                            <ng-template pTemplate="emptymessage">
                                    <tr>
                                            <td [attr.colspan]="4">
                                                    No records found
                                            </td>
                                    </tr>
                            </ng-template>
                    </p-table>
            </div>
              </div>
          </div>

      </div>
  </div>
</div>
